//
//  NiddleViewController.h
//  LanoFrai
//
//  Created by Joni Hoppen dos Santos on 27/3/13.
//  Copyright (c) 2013 Aquare.la. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>
#import "AppDelegate.h"
#import <AudioToolbox/AudioToolbox.h>


@interface NiddleViewController : UIViewController <CLLocationManagerDelegate>


@property (strong, nonatomic) IBOutlet UIView *niddle;
@property (strong, nonatomic) CLLocationManager *locationManager;
@property (strong, nonatomic) IBOutlet UILabel *orientationText;
@property (weak, nonatomic) IBOutlet UILabel *lonjura;
@property (nonatomic) double degrees, fixLat, fixLon;
@property (nonatomic)SystemSoundID SoundID;  //Variable of sound play



//Methods

- (void)viewDidLoad;
- (void)didReceiveMemoryWarning;
- (void)calculateUserAngle:(CLLocationCoordinate2D)current;
- (void)locationManager:(CLLocationManager *)manager didUpdateToLocation:(CLLocation *)newLocation fromLocation:(CLLocation *)oldLocation;
- (void)locationManager:(CLLocationManager *)manager didUpdateHeading:(CLHeading *)newHeading;
- (void)viewDidUnload;
- (void)askStillLost;





@end
