//
//  WebController.m
//  LanoFrai
//
//  Created by Joni Hoppen dos Santos on 28/3/13.
//  Copyright (c) 2013 Aquare.la. All rights reserved.
//

#import "WebController.h"

@interface WebController ()

@end

@implementation WebController
@synthesize internetStatus;
@synthesize indicatesActivity;



- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	
    [self testInternetConnection];
    
    int i = 0;
    while (i < 1) {
        
        //NSLog(@"\n While loop %i", i );
        i++;
        if (internetStatus == YES){
            i = 10;
        }
        sleep(1);
    }
    
    if (internetStatus == YES) {
        
        //[indicatesActivity startAnimating];
        NSLog(@"Carregando site");
        
        blogView.hidden = YES;
        
        NSURL *blogURL = [NSURL URLWithString:@"http://www.lanofrai.com.br"];
        NSURLRequest *myRequest = [NSURLRequest requestWithURL:blogURL];
        [blogView loadRequest:myRequest];
        
        //sleep(3);
        int i = 0;
        while (i < 3) {
            if (blogView.loading == YES){
                
                NSLog(@"O site ainda esta carregando e o whileloop = %i", i);
                sleep(1);
                i++;
                
            }else {
                
                //[indicatesActivity stopAnimating];
                i = 10;
                sleep(1);
                blogView.hidden = NO;
                NSLog(@"Site carregado");
            }
        }
    } else {
        
        UIAlertView* alertView = [[UIAlertView alloc] initWithTitle:@"Pelo jeito tá sem internet tchô"
                                                            message:@"De uma mexida nos cabo ligero"
                                                           delegate:self cancelButtonTitle:@"Tá bão então" otherButtonTitles:nil];
        [alertView show];
        
        //NSLog(@"Tá sem internet tchô");
        
    }
}



- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)testInternetConnection
{
    // allocate a reachability object
    Reachability* reach = [Reachability reachabilityWithHostname:@"www.google.com"];
    
    // set the blocks
    reach.reachableBlock = ^(Reachability*reach)
    {
        NSLog(@"REACHABLE!");
        
        internetStatus = YES;
    };
    
    reach.unreachableBlock = ^(Reachability*reach)
    {
        NSLog(@"UNREACHABLE!");
        internetStatus = NO;
    };
    
    // start the notifier which will cause the reachability object to retain itself!
    [reach startNotifier];
}



- (void)webViewDidFinishLoad:(UIWebView *)webView {
    [indicatesActivity stopAnimating];
}


- (void)webViewDidStartLoad:(UIWebView *)webView {
    [indicatesActivity startAnimating];
}

- (void)viewDidUnload {
    [self setIndicatesActivity:nil];
    [super viewDidUnload];
}
@end
