//
//  MapViewcontrollerViewController.m
//  LanoFrai
//
//  Created by Joni Hoppen dos Santos on 21/4/13.
//  Copyright (c) 2013 lanofrai.com.br. All rights reserved.
//

#import "MapViewcontroller.h"



@interface MapViewcontroller ()


@end

@implementation MapViewcontroller
@synthesize mapView;


- (void)viewDidLoad
{
    //    [super viewDidLoad];
	
    //Add anotations on this beautiful map
    MKCoordinateRegion chamine = {{0.0,0.0} , {0.0,0.0}};
    chamine.center.latitude = FIX_LAT;
    chamine.center.longitude = FIX_LONG;
    chamine.span.longitudeDelta = 0.01f;
    chamine.span.latitudeDelta = 0.01f;
    [mapView setRegion:chamine animated:YES];
    
    
    Annotation *anotacaoChamine = [[Annotation alloc] init];
    anotacaoChamine.title = @"Chaminé do Frai";
    anotacaoChamine.subtitle = @"Centro de Fraiburgo";
    anotacaoChamine.coordinate = chamine.center;
    [mapView addAnnotation:anotacaoChamine];
    
    
    // Do any additional setup after loading the view.
    //mapView.showsUserLocation = YES;
    mapView.delegate = self;
    //[mapView setUserTrackingMode:MKUserTrackingModeFollow animated:YES];
}

-(IBAction)getLocation{
    
    mapView.showsUserLocation = YES;
    //mapView.delegate = self;
    [mapView setUserTrackingMode:MKUserTrackingModeFollow animated:YES];
}
    

-(IBAction)setMap:(id)sender{
    switch (((UISegmentedControl *)sender).selectedSegmentIndex) {
        case 0:
            mapView.mapType = MKMapTypeStandard;
            break;
            
        case 1:
            mapView.mapType = MKMapTypeSatellite;
            break;
        case 2:
            mapView.mapType = MKMapTypeHybrid;
            break;
            
        default:
            break;
    }
    
}

    

// Méthodo go keep track of the user location
/*
-(void)observeValueForKeyPath:(NSString *)keyPath ofObject:(id)object change:(NSDictionary *)change context:(void *)context
{
    MKCoordinateRegion region;
    region.center = self.mapView.userLocation.coordinate;
    
    MKCoordinateSpan span;
    span.latitudeDelta  = 1; // Change these values to change the zoom
    span.longitudeDelta = 1;
    region.span = span;
    
    [self.mapView setRegion:region animated:YES];
}*/



@end
